# OpenTimelineIO SVG Adapter

The `svg` adapter is part of OpenTimelineIO's core adapter plugins.  
It renders a svg representation of an otio file.  
Points in calculations are y-up. Points in SVG are y-down.

# Adapter Feature Matrix

The following features of OTIO are supported by the `svg` adapter:

|Feature                  | Support |
|-------------------------|:-------:|
|Single Track of Clips    |    ✔    |
|Multiple Video Tracks    |    ✔    |
|Audio Tracks & Clips     |    ✔    |
|Gap/Filler               |    ✔    |
|Markers                  |    ✔    |
|Nesting                  |    ✖    |
|Transitions              |    ✔    |
|Audio/Video Effects      |   N/A   |
|Linear Speed Effects     |   N/A   |
|Fancy Speed Effects      |   N/A   |
|Color Decision List      |   N/A   |
|Image Sequence Reference |    ✖    |


# License
OpenTimelineIO and the "svg" adapter are open source software. 
Please see the [LICENSE](LICENSE) for details.

Nothing in the license file or this project grants any right to use Pixar or 
any other contributor’s trade names, trademarks, service marks, or product names.


## Contributions

If you want to contribute to the project, 
please see: https://opentimelineio.readthedocs.io/en/latest/tutorials/contributing.html


# Contact

For more information, please visit http://opentimeline.io/
or https://github.com/AcademySoftwareFoundation/OpenTimelineIO
or join our discussion forum: https://lists.aswf.io/g/otio-discussion
